## org.apache.batik.swing.svg
Class SVGLoadEventDispatcherAdapter

    java.lang.Object
      org.apache.batik.swing.svg.SVGLoadEventDispatcherAdapter

All Implemented Interfaces:
  SVGLoadEventDispatcherListener

public class SVGLoadEventDispatcherAdapter
extends java.lang.Object
implements SVGLoadEventDispatcherListener

This class provides an adapter for the SVGLoadEventDispatcherListener interface.

Constructor Summary
`SVGLoadEventDispatcherAdapter()`

Method Summary
`void` `svgLoadEventDispatchCancelled(SVGLoadEventDispatcherEvent e)` Called when a onload event dispatch was cancelled.
`void` `svgLoadEventDispatchCompleted(SVGLoadEventDispatcherEvent e)` Called when a onload event dispatch was completed.
`void` `svgLoadEventDispatchFailed(SVGLoadEventDispatcherEvent e)` Called when a onload event dispatch failed.
`void` `svgLoadEventDispatchStarted(SVGLoadEventDispatcherEvent e)` Called when a onload event dispatch started.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVGLoadEventDispatcherAdapter

    public SVGLoadEventDispatcherAdapter()

Method Detail

### svgLoadEventDispatchStarted

    public void svgLoadEventDispatchStarted(SVGLoadEventDispatcherEvent e)

  Called when a onload event dispatch started.

  Specified by:
    `svgLoadEventDispatchStarted` in interface `SVGLoadEventDispatcherListener`

### svgLoadEventDispatchCompleted

    public void svgLoadEventDispatchCompleted(SVGLoadEventDispatcherEvent e)

  Called when a onload event dispatch was completed.

  Specified by:
    `svgLoadEventDispatchCompleted` in interface `SVGLoadEventDispatcherListener`

### svgLoadEventDispatchCancelled

    public void svgLoadEventDispatchCancelled(SVGLoadEventDispatcherEvent e)

  Called when a onload event dispatch was cancelled.

  Specified by:
    `svgLoadEventDispatchCancelled` in interface `SVGLoadEventDispatcherListener`

### svgLoadEventDispatchFailed

    public void svgLoadEventDispatchFailed(SVGLoadEventDispatcherEvent e)

  Called when a onload event dispatch failed.

  Specified by:
    `svgLoadEventDispatchFailed` in interface `SVGLoadEventDispatcherListener`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.